Package: lcgdm / 1.10.0-2

lcgdm-gt-multi.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
Endast i lcgdm-1.8.7/debian/patches: lcgdm-gt-multi.patch
diff -ur lcgdm-1.8.7.orig/dpmcopy/Imakefile lcgdm-1.8.7/dpmcopy/Imakefile
--- lcgdm-1.8.7.orig/dpmcopy/Imakefile	2013-12-01 05:17:17.000000000 +0100
+++ lcgdm-1.8.7/dpmcopy/Imakefile	2013-12-01 06:00:34.692654422 +0100
@@ -25,7 +25,7 @@
 CGSI_GSOAP_LOCATION=CgsiGsoapLocation
 GLOBUS_LOCATION=GlobusLocation
 #if EMIBuild
-GLOBUS_INCLUDES=-I$(GLOBUS_LOCATION)/include/globus -I$(GLOBUS_LOCATION)/$(_lib)/globus/include
+GLOBUS_INCLUDES=-I$(GLOBUS_LOCATION)/include/globus -I$(GLOBUS_LOCATION)/$(_lib)/globus/include -I$(GLOBUS_LOCATION)/include/$(DEB_HOST_MULTIARCH)/globus
 GLOBUS_LIBS=-lglobus_gssapi_gsi -lglobus_gss_assist -lglobus_common
 GGC_LIB=-lglobus_gass_copy -lglobus_ftp_client -lglobus_common
 #if UseVOMS
diff -ur lcgdm-1.8.7.orig/security/Imakefile lcgdm-1.8.7/security/Imakefile
--- lcgdm-1.8.7.orig/security/Imakefile	2013-12-01 05:17:17.000000000 +0100
+++ lcgdm-1.8.7/security/Imakefile	2013-12-01 06:00:33.280654458 +0100
@@ -57,7 +57,7 @@
 #define GSIMech GSI
 #define SecAuthMechGSI       -DGSI
 #if EMIBuild
-#define SecIncludeDirGSI -I$(GLOBUS_LOCATION)/include/globus -I$(GLOBUS_LOCATION)/$(_lib)/globus/include $(VOMS_INCLUDE)
+#define SecIncludeDirGSI -I$(GLOBUS_LOCATION)/include/globus -I$(GLOBUS_LOCATION)/$(_lib)/globus/include -I$(GLOBUS_LOCATION)/include/$(DEB_HOST_MULTIARCH)/globus $(VOMS_INCLUDE)
 #define SecLibsGSI -lglobus_gssapi_gsi -lglobus_gss_assist -lglobus_gsi_credential -lglobus_gsi_callback -lglobus_gsi_cert_utils -lglobus_common $(VOMS_LIB) -lssl -lcrypto
 #else
 #define SecIncludeDirGSI -I$(GLOBUS_LOCATION)/include/$(GLOBUS_FLAVOUR_NONPTHR) $(VOMS_INCLUDE)